/***************************************************************************
                     configdlg.h  -  description
                         -------------------
begin                : Do Okt 16 14:35:18 CEST 2003
copyright            : (C) 2003 by Mark Kretschmann
email                :
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef AMAROK_CONFIGDLG_H
#define AMAROK_CONFIGDLG_H

#include <kdialogbase.h>

class Options1;
class Options2;
class Options3;
class Options4;

class PlayerApp;
extern PlayerApp *pApp;

// CLASS AmarokButton ------------------------------------------------------------
/**
 * @brief: The settings dialog.
 */

class ConfigDlg : public KDialogBase
{
    Q_OBJECT

    public:
        ConfigDlg();
        ~ConfigDlg();

    signals:
        void sigShowTrayIcon( bool );
    
    private slots:
        void slotOk();
        void slotApply();
        void slotCancel();
        void slotSave();
        void slotChanged();

        void slotChooseFont( int );
        void slotChooseBrowserWinBgColor( const QColor & col );
        void slotChooseBrowserWinFgColor( const QColor & col );

    private:
        void initOptions1();
        void initOptions2();
        void initOptions3();
        void initOptions4();

        void saveOptions1();
        void saveOptions2();
        void saveOptions3();
        void saveOptions4();

        // ATTRIBUTES ------
        Options1 *m_pOptions1;
        Options2 *m_pOptions2;
        Options3 *m_pOptions3;
        Options4 *m_pOptions4;

        enum FontEnum { PW, PWS, BW };
};

#endif                                            // AMAROK_CONFIGDLG_H
